From 46a226217d8ec5bbf66a4fa3da138fd6924dd13b Mon Sep 17 00:00:00 2001
From: Dan Dennedy <dan@dennedy.org>
Date: Wed, 25 Mar 2020 16:06:34 -0700
Subject: [PATCH] fix #535 crash in composite when PGM luma fails to load

---
 src/modules/core/transition_composite.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/src/modules/core/transition_composite.c b/src/modules/core/transition_composite.c
index e6d078e36..24a0d30c7 100644
--- a/src/modules/core/transition_composite.c
+++ b/src/modules/core/transition_composite.c
@@ -1,6 +1,6 @@
 /*
  * transition_composite.c -- compose one image over another using alpha channel
- * Copyright (C) 2003-2019 Meltytech, LLC
+ * Copyright (C) 2003-2020 Meltytech, LLC
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
@@ -697,10 +697,10 @@ static uint16_t* get_luma( mlt_transition self, mlt_properties properties, int w
 				{
 					luma_width = 0;
 					luma_height = 0;
-                }
+				}
 			}
 		}
-		if ( luma_width > 0 && luma_height > 0 )
+		if ( orig_bitmap && luma_width > 0 && luma_height > 0 )
 		{
 			// Scale luma map
 			luma_bitmap = mlt_pool_alloc( width * height * sizeof( uint16_t ) );
